<template>
  <div class="monitor-menu">
    <div class="bg">
      <div
        class="item"
        v-for="item in items"
        :key="item.name"
        :class="{ active: item.name == currentMenu }"
        @click="onClick(item)"
      >
        <Icon :type="item.icon" size="18" />
        <br />
        <span>{{ item.title }}</span>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "MonitorMenu",
  props: {
    menu: Object,
  },
  data() {
    return {
      items: [
        {
          name: "agv",
          icon: "md-git-compare",
          title: "AGV",
        },
        {
          name: "order",
          icon: "md-list-box",
          title: "订单",
        },
        // {
        //   name: "task",
        //   icon: "md-paper",
        //   title: "任务",
        // },
        // {
        //   name: "tray",
        //   icon: "md-document",
        //   title: "托盘",
        // },
        // {
        //   name: "tary-task",
        //   icon: "ios-paper",
        //   title: "托盘任务",
        // },
        // {
        //   name: "agvTrace",
        //   icon: "md-code",
        //   title: "AgvTrace",
        // },
        // {
        //   name: "command",
        //   icon: "md-code-working",
        //   title: "命令",
        // },
        // {
        //   name: "io",
        //   icon: "ios-radio",
        //   title: "IO",
        // },
        // {
        //   name: "location",
        //   icon: "md-radio",
        //   title: "库位",
        // },
        // {
        //   name: "station",
        //   icon: "ios-radio-outline",
        //   title: "站台",
        // },
      ],
    };
  },
  computed: {
    currentMenu() {
      return this.menu.name;
    },
  },
  methods: {
    onClick(item) {
      if (this.currentMenu == item.name)
        this.$emit("on-select-change", {
          name: "",
          icon: "",
          title: "",
        });
      else this.$emit("on-select-change", item);
    },
  },
};
</script>

<style lang="less" scoped>
.monitor-menu {
  height: 100%;
  overflow-y: auto;
  .bg {
    background-color: #f1f1f1;
  }
  .item {
    background-color: #fff;
    margin-bottom: 6px;
    padding-top: 12px;
    border-radius: 5px;
    width: 70px;
    height: 60px;
    text-align: center;
    color: #2d8cf0;
    font-size: 12px;
    cursor: pointer;
    &.active {
      border: 2px solid #2d8cf0;
    }
  }
  &::-webkit-scrollbar {
    display: none;
  }
}
</style>